{
  "tableFormats": [
    {
      "label": "序号",
      "prop": "index",
      "maxWidth": 80
    },
    {
      "prop": "orgName",
      "label": "所属单位"
    },
    {
      "prop": "mtrlNo",
      "label": "物料编码"
    },
    {
      "prop": "mtrlDes",
      "label": "物料名称",
      "maxWidth": 350
    },
    {
      "prop": "mtrlUnit",
      "label": "计量单位"
    },
    {
      "prop": "rationUpper",
      "label": "定额上限"
    },
    {
      "prop": "ratioLower",
      "label": "定额下限"
    },
    {
      "prop": "commodityStockNum",
      "label": "库存数"
    },
    {
      "prop": "identify",
      "label": "标识",
      "align": "center"
    },
    {
      "prop": "remark",
      "label": "预警信息",
      "maxWidth": 300
    },
    {
      "prop": "operate",
      "label": "操作",
      "fixed": "right",
      "maxWidth": 160
    }
  ],
  "searchObj": [
    {
      "type": "input",
      "value": "mtrlNo",
      "label": "物料编码",
      "col": 4,
      "default": null,
      "placeholder": "请输入物料编码",
      "labelWidth": "80px"
    },
    {
      "type": "input",
      "value": "mtrlDes",
      "label": "物料名称",
      "col": 4,
      "default": null,
      "placeholder": "请输入物料名称",
      "labelWidth": "80px"
    },
    {
      "type": "selectTree",
      "value": "orgNo",
      "label": "所属单位",
      "col": 4,
      "default": null,
      "placeholder": "请输入所属单位",
      "labelWidth": "80px"
    },
    {
      "type": "select",
      "value": "identify",
      "label": "储备标识",
      "placeholder": "按库存搜索",
      "col": 4,
      "default": null,
      "options": [
        {
          "label": "库存较少",
          "value": 1
        },
        {
          "label": "库存偏多",
          "value": 2
        },
        {
          "label": "正常",
          "value": 3
        }
      ],
      "labelWidth": "80px",
      "itemLabel": "label",
      "itemValue": "value"
    },
    {
      "type": "searchBtn",
      "col": 0.5,
      "labelWidth": "15px",
      "isShowSearch": true,
      "isShowReset": false
    },
    {
      "type": "otherBtn",
      "col": 6
    }
  ],
  "commodityStockNumDetail": [
    {
      "label": "序号",
      "prop": "index",
      "maxWidth": 80
    },
    {
      "prop": "orgName",
      "label": "所属单位"
    },
    {
      "prop": "mtrlNo",
      "label": "物料编码"
    },
    {
      "prop": "mtrlName",
      "label": "物料名称",
      "maxWidth": 370
    },
    {
      "prop": "commodityStockNum",
      "label": "库存数量"
    },
    {
      "prop": "mtrlUnit",
      "label": "计量单位"
    },
    {
      "prop": "stock",
      "label": "专业仓名称",
      "maxWidth": 200
    },
    {
      "prop": "mtrlBatch",
      "label": "物料批次"
    },
    {
      "prop": "mtrlPrice",
      "label": "物料单价"
    }
  ],
  "ratioLowerDetail": [
    {
      "label": "序号",
      "prop": "index",
      "maxWidth": 80
    },
    {
      "prop": "orgName",
      "label": "所属单位",
      "maxWidth": 200
    },
    {
      "prop": "mtrlNo",
      "label": "物料编码"
    },
    {
      "prop": "mtrlDes",
      "label": "物料名称",
      "maxWidth": 370
    },
    {
      "prop": "mtrlUnit",
      "label": "物料单位",
      "maxWidth": 200
    },
    {
      "prop": "quotaLower",
      "label": "编辑定额下限"
    },
    {
      "prop": "createUserName",
      "label": "修改人员"
    },
    {
      "prop": "createTime",
      "label": "修改时间"
    },
    {
      "prop": "notes",
      "label": "备注"
    }
  ]
}
